midiport.h File Reference
`#include <jack/weakmacros.h>`
`#include <jack/types.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures

struct | _jack_midi_event

## Typedefs

typedef unsigned char | jack_midi_data_t
typedef struct _jack_midi_event | jack_midi_event_t

## Functions

jack_nframes_t | jack_midi_get_event_count (void *port_buffer) JACK_OPTIONAL_WEAK_EXPORT
int | jack_midi_event_get (jack_midi_event_t *event, void *port_buffer, jack_nframes_t event_index) JACK_OPTIONAL_WEAK_EXPORT
void | jack_midi_clear_buffer (void *port_buffer) JACK_OPTIONAL_WEAK_EXPORT
size_t | jack_midi_max_event_size (void *port_buffer) JACK_OPTIONAL_WEAK_EXPORT
jack_midi_data_t * | jack_midi_event_reserve (void *port_buffer, jack_nframes_t time, size_t data_size) JACK_OPTIONAL_WEAK_EXPORT
int | jack_midi_event_write (void *port_buffer, jack_nframes_t time, const jack_midi_data_t *data, size_t data_size) JACK_OPTIONAL_WEAK_EXPORT
jack_nframes_t | jack_midi_get_lost_event_count (void *port_buffer) JACK_OPTIONAL_WEAK_EXPORT

## Typedef Documentation

typedef unsigned char jack_midi_data_t

Type for raw event data contained in jack_midi_event_t.

typedef struct _jack_midi_event jack_midi_event_t

A Jack MIDI event.